banshee crash in UPnP plugin

Bug #972820 reported by Scott Sweeny on 2012-04-03
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Banshee
Fix Released
Medium
banshee (Ubuntu)
Undecided
Unassigned

Bug Description

Using banshee in precise while on a public wifi network, it appears that banshee finds a UPnP server and tries to connect to it, only to receive a 403 error, which causes banshee to crash.

ssweeny@talyn:~$ banshee
[Info 16:23:50.345] Running Banshee 2.4.0: [Ubuntu precise (development branch) (linux-gnu, x86_64) @ 2012-03-24 12:56:11 UTC]
[Info 16:23:52.081] Updating web proxy from GConf
[Info 16:23:52.268] All services are started 1.507332
[Info 16:23:52.949] AmazonMP3 store redirect URL: https://one.ubuntu.com/music/store/amz/
[Info 16:23:54.019] nereid Client Started
[Info 16:23:54.177] GStreamer version 0.10.36.0, gapless: False, replaygain: False

Unhandled Exception: Mono.Upnp.Control.UpnpControlException: The invokation failed. ---> System.Net.WebException: The remote server returned an error: (403) Forbidden.
  at System.Net.HttpWebRequest.CheckFinalStatus (System.Net.WebAsyncResult result) [0x00000] in <filename unknown>:0
  at System.Net.HttpWebRequest.SetResponseData (System.Net.WebConnectionData data) [0x00000] in <filename unknown>:0
  --- End of inner exception stack trace ---
  at Mono.Upnp.Internal.ControlClient.Invoke (System.String actionName, IDictionary`2 arguments) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Control.ServiceController.Invoke (Mono.Upnp.Control.ServiceAction action, IDictionary`2 arguments, Int32 retryAttempts) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Control.ServiceAction.InvokeCore (IDictionary`2 arguments, Int32 retryAttempts) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Control.ServiceAction.Invoke (IDictionary`2 arguments, Int32 retryAttempts) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.ContentDirectoryController.Browse (System.String objectId, BrowseFlag browseFlag, System.String filter, UInt32 startingIndex, UInt32 requestedCount, System.String sortCriteria, System.UInt32& numberReturned, System.UInt32& totalMatches, System.UInt32& updateId) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.RemoteContentDirectory.GetObject[Container] (System.String id) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.RemoteContentDirectory.GetRootObject () [0x00000] in <filename unknown>:0
  at Banshee.UPnPClient.UPnPServerSource.Parse (Mono.Upnp.Device device, Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.ContentDirectoryController content_directory) [0x00000] in <filename unknown>:0
  at Banshee.UPnPClient.UPnPServerSource+<UPnPServerSource>c__AnonStorey0.<>m__0 () [0x00000] in <filename unknown>:0
  at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0
[ERROR] FATAL UNHANDLED EXCEPTION: Mono.Upnp.Control.UpnpControlException: The invokation failed. ---> System.Net.WebException: The remote server returned an error: (403) Forbidden.
  at System.Net.HttpWebRequest.CheckFinalStatus (System.Net.WebAsyncResult result) [0x00000] in <filename unknown>:0
  at System.Net.HttpWebRequest.SetResponseData (System.Net.WebConnectionData data) [0x00000] in <filename unknown>:0
  --- End of inner exception stack trace ---
  at Mono.Upnp.Internal.ControlClient.Invoke (System.String actionName, IDictionary`2 arguments) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Control.ServiceController.Invoke (Mono.Upnp.Control.ServiceAction action, IDictionary`2 arguments, Int32 retryAttempts) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Control.ServiceAction.InvokeCore (IDictionary`2 arguments, Int32 retryAttempts) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Control.ServiceAction.Invoke (IDictionary`2 arguments, Int32 retryAttempts) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.ContentDirectoryController.Browse (System.String objectId, BrowseFlag browseFlag, System.String filter, UInt32 startingIndex, UInt32 requestedCount, System.String sortCriteria, System.UInt32& numberReturned, System.UInt32& totalMatches, System.UInt32& updateId) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.RemoteContentDirectory.GetObject[Container] (System.String id) [0x00000] in <filename unknown>:0
  at Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.RemoteContentDirectory.GetRootObject () [0x00000] in <filename unknown>:0
  at Banshee.UPnPClient.UPnPServerSource.Parse (Mono.Upnp.Device device, Mono.Upnp.Dcp.MediaServer1.ContentDirectory1.ContentDirectoryController content_directory) [0x00000] in <filename unknown>:0
  at Banshee.UPnPClient.UPnPServerSource+<UPnPServerSource>c__AnonStorey0.<>m__0 () [0x00000] in <filename unknown>:0
  at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: banshee 2.4.0-1ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
ApportVersion: 2.0-0ubuntu4
Architecture: amd64
CheckboxSubmission: f24bf886cf6158b8cd6d663f166fcff9
CheckboxSystem: 3935143777c965daaa64b51f0134f712
Date: Tue Apr 3 16:24:38 2012
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: banshee
UpgradeStatus: Upgraded to precise on 2012-01-17 (77 days ago)

Revision history for this message
Scott Sweeny (ssweeny) wrote :
Revision history for this message
Chow Loong Jin (hyperair) wrote :

I have forwarded your bug to the GNOME bugtracker (see the gnome-bugs link above). Please CC yourself to that bug to track its status.

Changed in banshee (Ubuntu):
status: New → Triaged
Changed in banshee:
importance: Unknown → Medium
status: Unknown → New
Changed in banshee:
status: New → Invalid
Changed in banshee:
importance: Medium → Unknown
status: Invalid → Unknown
Changed in banshee (Ubuntu):
status: Triaged → Fix Committed
Changed in banshee:
importance: Unknown → Medium
status: Unknown → Fix Released
Revision history for this message
Chow Loong Jin (hyperair) wrote :

Fixed in 2.4.1.

Changed in banshee (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.